Site news

Check here for the latest news and site maintenance updates to the Course Portal, as well as announcements from the Registrar! Note that some of these announcements may affect your workflow when they are related to site maintenance events.


DiscussionStarted byRepliesLast post
LAPU Course Maintenance, Thursday, August 16, 12:30 AM–2:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Aug 14, 2018, 12:16 PM
LAPU Courses Site Outage Resolved - August 11, 2018 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Sat, Aug 11, 2018, 5:02 PM
Financial Aid Update Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Aug 3, 2018, 4:43 PM
Registration Now Open! Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jul 25, 2018, 8:49 AM
APU Library Maintenance, Tomorrow, July 14, 9:00 PM–Sunday, July 15, 5:00 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Jul 19, 2018, 4:10 PM
Learner Portal Update, July 13, 11:00 pm - July 14, 12:00 pm Pacific Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jul 13, 2018, 4:27 PM
Courses Site Upgrade Complete – Thursday, July 12 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jul 10, 2018, 10:12 AM
Courses Site Upgrade, Tomorrow, July 12, 12:30 AM–6:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jul 10, 2018, 10:07 AM
Courses Site Upgrade & APU Library Maintenance Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jul 10, 2018, 10:02 AM
Turnitin Maintenance – Tomorrow, July 10, 8:00 AM – 4:00 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jul 9, 2018, 4:47 PM
Offices Closed for Independence Day Holiday; Online Courses Available Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jul 3, 2018, 10:40 AM
Update: Course Portal Design Changes, Tomorrow, June 30, from 12:00 AM–2:00 AM Pacific Time. No downtime expected. Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jun 29, 2018, 1:27 PM
Course Portal Design Changes, Today, June 29, from 8:00–10:00 am Pacfiic Time. No downtime expected. Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jun 29, 2018, 5:22 AM
APU Bookstore Closed Friday, June 29th Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jun 26, 2018, 3:37 PM
APU Library Maintenance, Wednesday, June 27, 6:00 PM–10:30 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jun 25, 2018, 4:22 PM
Course Updates for Summer 2, 2018 Term Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jun 22, 2018, 4:16 PM
The 2017-2018 award year FAFSA deadline is fast approaching Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Thu, Jun 14, 2018, 8:56 AM
APU Library Maintenance Today | Wednesday June 13, 12:00–3:00 pm Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jun 13, 2018, 8:48 AM
Accessing your LAPU E-mail Addresses Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Sat, Jun 9, 2018, 11:43 PM
NLO100 Orientation Course link updated for new students in Summer 2 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jun 4, 2018, 2:41 PM
APU Library Maintenance / Technical Support Maintenance Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, May 17, 2018, 9:25 AM
NLO100 Orientation Course link updated for new students in Summer 1 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, May 4, 2018, 9:12 AM
Course Portal Updates for Summer 1, 2018 Term Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, May 3, 2018, 12:59 PM
APU Library Maintenance, Friday, April 6, 8:00 PM–Saturday, April 7, 12:00 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Apr 4, 2018, 1:28 PM
Turnitin Maintenance – Tomorrow, March 17, 8:00 a.m. – 2:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Mar 14, 2018, 9:02 AM
Turnitin Maintenance – Saturday, March 17, 8:00 a.m. – 2:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Mar 14, 2018, 9:01 AM
APU Library Maintenance, Tomorrow, March 8, 5:00 AM–7:00 AM & Friday, March 9, 5:00 AM–7:00 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Mar 7, 2018, 3:44 PM
Technical Support Maintenance - Tonight, February 24, 10:00 PM–11:00 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Feb 23, 2018, 4:12 PM
NLO Course Reset for Spring 2 Students Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Feb 20, 2018, 12:43 PM
APU Library Maintenance, Tomorrow, February 17, 8:00 PM–Sunday, February 18, 3:05 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Feb 16, 2018, 11:36 AM
APU Library Maintenance, Tomorrow, February 03, 11:00 PM–Sunday, February 04, 3:00 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Feb 2, 2018, 11:02 AM
Course Portal Update / APU Library Maintenance Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jan 31, 2018, 12:24 PM
Course Portal Update, Thursday, February 01, 12:30 AM - 2:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jan 30, 2018, 11:21 AM
Technical Support Maintenance - Tonight, January 27, 10 PM – Sunday, January 28, 2 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jan 26, 2018, 1:31 PM
Attention Undergraduate students! Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Tue, Jan 23, 2018, 1:25 PM
Library Portal Maitenence Tonight, January 19, 9:00 p.m. - 11:00 p,m. (Pacific Time) Picture of Course ManagerCourse Manager 0 Course Manager
Fri, Jan 19, 2018, 8:38 AM
Course Portal Maintenance – Tonight, January 19, 9:00 p.m. through Saturday, January 20, 1:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jan 17, 2018, 11:46 AM
Course Portal Maintenance – Friday, January 19, 9:00 p.m. through Saturday, January 20, 1:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jan 17, 2018, 11:43 AM
APU Library Maintenance – Tomorrow, December 29, 5:00 p.m.–Saturday, December 30, 5:00 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 4:09 PM
Course Portal Upgrade Complete – Thursday, December 28 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 4:05 PM
Course Portal Upgrade – Tomorrow, December 28 from 12:30 a.m. through 6:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 4:05 PM
Turnitin Maintenance – Tomorrow, December 27, 8:00 a.m. – 5:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 4:06 PM
Merry Christmas from Azusa Pacific’s University College Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 4:54 PM
Course Portal Upgrade / Turnitin and APU Library Maintenance Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Dec 21, 2017, 3:51 PM
Spring 2018 Payment Deadline Announcement Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Thu, Dec 14, 2017, 10:01 AM
NLO Course Reset for Spring 1 Students Picture of Course ManagerCourse Manager 0 Course Manager
Fri, Dec 8, 2017, 3:38 PM
Course Portal & APU Library Maintenance Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Nov 29, 2017, 2:45 PM
Good news! Registration for the Spring semester is happening now! Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Nov 28, 2017, 1:13 PM
Happy Thanksgiving from University College Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Nov 21, 2017, 11:40 AM
APU Library Maintenance: Saturday, November 4, 8 PM–Sunday, November 5, 2:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Oct 31, 2017, 11:37 AM
Welcome to the Fall 2 Session Picture of Jamie BrownleeJamie Brownlee 0 Jamie Brownlee
Mon, Oct 30, 2017, 9:54 AM
APU Library Maintenance - Friday, October 27, 11:30 PM - Saturday, October 28, 2:00 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Oct 26, 2017, 9:01 AM
Technical Support Maintenance - Tonight, October 23, 10 PM – Tuesday, October 24, 4 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Oct 23, 2017, 12:41 PM
NLO Course Reset for Fall 2 Students Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Oct 16, 2017, 4:46 PM
Course Portal Update, Tomorrow, October 12, 12:30 AM - 2:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Oct 11, 2017, 4:49 PM
Course Portal Update, Thursday, October 12, 12:30 AM - 2:30 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Oct 9, 2017, 4:46 PM
APU Library Maintenance - Saturday, October 7, 11:30 p.m. - Sunday, October 8, 1:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Oct 4, 2017, 1:10 PM
URGENT - Intent to Graduate Deadline Reminder Picture of UC RegistrarUC Registrar 0 UC Registrar
Tue, Sep 26, 2017, 4:18 PM
Welcome to Fall 1 2017 Session Picture of Jamie BrownleeJamie Brownlee 0 Jamie Brownlee
Tue, Sep 26, 2017, 3:23 PM
One document. 39 signatures. A country forever changed. Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Sep 13, 2017, 9:38 AM
Financial Aid Disbursement Reminder Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Thu, Sep 14, 2017, 4:37 PM
APU Library Maintenance - Saturday, September 9, 9 p.m. - Sunday, September 10, 4 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Sep 7, 2017, 8:52 AM
Updates to BSOL courses. Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Sep 4, 2017, 9:50 PM
University College's Office Closed for Labor Day Holiday; Online Classes Available Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Aug 29, 2017, 3:23 PM
APU Library Maintenance - Thursday, August 24, 6 a.m. - 8 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Aug 22, 2017, 5:23 PM
Technical Support Maintenance - Tonight, August 14, 8 PM – 9 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Aug 11, 2017, 9:34 AM
New Learner Orientation Reset for Fall 1 Students Picture of Course ManagerCourse Manager 0 Course Manager
Mon, Aug 14, 2017, 9:40 AM
Turnitin Maintenance – Tomorrow, August 5, 7 a.m. – 1 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Aug 1, 2017, 9:24 AM
Turnitin Maintenance – Saturday, August 5, 7 a.m. – 1 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Aug 1, 2017, 9:25 AM
Technical Support Maintenance - Tomorrow, July 9, 5:45 AM – 10 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Jul 6, 2017, 3:19 PM
Course Portal Update Complete, Thursday, July 6 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jul 3, 2017, 9:00 AM
Course Portal Upgrade, Tomorrow, July 6, 12:30 a.m. - 6:30 a.m. Pacific Time & New Gradebook Block! Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jul 3, 2017, 8:43 AM
University College's Office Closed for Independence Day Holiday; Online Classes Available Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jul 3, 2017, 3:57 PM
Course Portal Upgrade, Thursday, July 6, 12:30 a.m. - 6:30 a.m. Pacific Time & New Gradebook Block! Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jul 3, 2017, 8:43 AM
Course Portal Upgrade, Thursday, July 6, 12:30 a.m. - 6:30 a.m. Pacific Time & New Gradebook Block! Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Wed, Jun 28, 2017, 11:42 AM
Technical Support Maintenance - Tonight, June 24, 10 PM – Tomorrow, June 25, 4 AM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Course Editor (RER)
Fri, Jun 23, 2017, 8:23 AM
New Learner Orientation Reset for Summer 2 Students Picture of Course ManagerCourse Manager 0 Course Manager
Mon, Jun 19, 2017, 2:58 PM
The 2016-2017 award year FAFSA deadline is fast approaching Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Mon, Jun 19, 2017, 8:21 AM
Technical Support Maintenance - Tonight, June 3, 10 PM – 12 Midnight Pacific Time Picture of Course ManagerCourse Manager 0 Course Manager
Fri, Jun 2, 2017, 2:23 PM
Course Portal Maintenance, Tonight, May 30, 10:30 p.m. - 11:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, May 26, 2017, 9:10 AM
Course Portal Maintenance, Tuesday, May 30, 10:30 p.m. - 11:00 p.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, May 26, 2017, 9:07 AM
Change to Add/Drop Deadline Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, May 2, 2017, 10:50 AM
New Learner Orientation Reset for Summer 1 Students Picture of Course ManagerCourse Manager 0 Course Manager
Mon, Apr 17, 2017, 4:42 PM
Course Portal Update Complete, Thursday, April 13 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Apr 10, 2017, 12:37 PM
Course Portal Update, Tomorrow, April 13, 12:30 a.m. - 2:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Apr 10, 2017, 12:33 PM
Course Portal Update, Thursday, April 13, 12:30 a.m. - 2:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Apr 10, 2017, 12:31 PM
Change to Add/Drop Deadline Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Mar 30, 2017, 4:37 PM
New Learner Orientation Reset for Spring 2 Students Picture of Course ManagerCourse Manager 0 Course Manager
Wed, Feb 22, 2017, 11:32 AM
IMPORTANT: Cal Grant FAFSA and GPA Verification Information Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Mon, Feb 13, 2017, 11:42 AM
Course Portal Update Complete, Thursday, February 2 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jan 30, 2017, 2:14 PM
Course Portal Update, Tomorrow, February 2, 12:30 a.m. - 2:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jan 30, 2017, 2:12 PM
Course Portal Update, Thursday, February 2, 12:30 a.m. - 2:30 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Mon, Jan 30, 2017, 1:37 PM
APU Library Maintenance - Tomorrow, January 28, 12 a.m. - 8 a.m. Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jan 27, 2017, 10:11 AM
UC Course Portal Access Issues Resolved - 1/24/2017 Picture of Course Editor (RER)Course Editor (RER) 0 Course Editor (RER)
Wed, Jan 25, 2017, 11:57 AM
Learner Portal Upgrade Complete - Saturday, January 21 Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Course Manager
Fri, Jan 20, 2017, 10:30 AM
Learner Portal Upgrade - Tomorrow, January 21, 4:00 AM - 1:00 PM Pacific Time Picture of Course ManagerCourse Manager 0 Course Manager
Fri, Jan 20, 2017, 4:12 PM
Technical Support Maintenance - Tonight, January 20, 10 PM – 11 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Thu, Jan 19, 2017, 2:36 PM
IMPORTANT! Cal Grant GPA Verification Picture of Student Financial ServicesStudent Financial Services 0 Student Financial Services
Thu, Jan 19, 2017, 9:08 AM
Learner Portal Upgrade - Saturday, January 21, 7:00 AM - 12:00 PM Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Tue, Jan 17, 2017, 8:17 AM
Turnitin Maintenance – Tomorrow, January 7, 7 am – 3 pm Pacific Time Picture of Los Angeles Pacific UniversityLos Angeles Pacific University 0 Los Angeles Pacific University
Fri, Jan 6, 2017, 10:58 AM